Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.javahl
Class SVNClientImpl

    java.lang.Object
      org.tmatesoft.svn.core.javahl.SVNClientImpl

All Implemented Interfaces:
  org.tigris.subversion.javahl.SVNClientInterface

public class SVNClientImpl
extends Object
implements org.tigris.subversion.javahl.SVNClientInterface

Author:
  evgeny

Nested Class Summary
`static class` | `SVNClientImpl.LogLevel`

Constructor Summary
`protected` | `SVNClientImpl(org.tigris.subversion.javahl.SVNClient owner)`

Method Summary
`void` | `add(String path, boolean recurse)`
`void` | `add(String path, boolean recurse, boolean force)`
`byte[]` | `blame(String path, org.tigris.subversion.javahl.Revision revisionStart, org.tigris.subversion.javahl.Revision revisionEnd)`
`void` | `blame(String path, org.tigris.subversion.javahl.Revision revisionStart, org.tigris.subversion.javahl.Revision revisionEnd, org.tigris.subversion.javahl.BlameCallback callback)`
`void` | `blame(String path, org.tigris.subversion.javahl.Revision pegRevision, org.tigris.subversion.javahl.Revision revisionStart, org.tigris.subversion.javahl.Revision revisionEnd, org.tigris.subversion.javahl.BlameCallback callback)`
`void` | `cancelOperation()`
`long` | `checkout(String moduleName, String destPath, org.tigris.subversion.javahl.Revision revision, boolean recurse)`
`long` | `checkout(String moduleName, String destPath, org.tigris.subversion.javahl.Revision revision, org.tigris.subversion.javahl.Revision pegRevision, boolean recurse, boolean ignoreExternals)`
`void` | `cleanup(String path)`
`long` | `commit(String[] path, String message, boolean recurse)`
`long` | `commit(String[] path, String message, boolean recurse, boolean noUnlock)`
`long[]` | `commit(String[] path, String message, boolean recurse, boolean noUnlock, boolean atomicCommit)`
`void` | `commitMessageHandler(org.tigris.subversion.javahl.CommitMessage messageHandler)`
`void` | `copy(String srcPath, String destPath, String message, org.tigris.subversion.javahl.Revision revision)`
`void` | `diff(String target, org.tigris.subversion.javahl.Revision pegRevision, org.tigris.subversion.javahl.Revision startRevision, org.tigris.subversion.javahl.Revision endRevision, String outFileName, boolean recurse, boolean ignoreAncestry, boolean noDiffDeleted, boolean force)`
`void` | `diff(String target1, org.tigris.subversion.javahl.Revision revision1, String target2, org.tigris.subversion.javahl.Revision revision2, String outFileName, boolean recurse)`
`void` | `diff(String target1, org.tigris.subversion.javahl.Revision revision1, String target2, org.tigris.subversion.javahl.Revision revision2, String outFileName, boolean recurse, boolean ignoreAncestry, boolean noDiffDeleted, boolean force)`
`void` | `dispose()`
`long` | `doExport(String srcPath, String destPath, org.tigris.subversion.javahl.Revision revision, boolean force)`
`long` | `doExport(String srcPath, String destPath, org.tigris.subversion.javahl.Revision revision, org.tigris.subversion.javahl.Revision pegRevision, boolean force, boolean ignoreExternals, boolean recurse, String nativeEOL)`
`void` | `doImport(String path, String url, String message, boolean recurse)`
`long` | `doSwitch(String path, String url, org.tigris.subversion.javahl.Revision revision, boolean recurse)`
`byte[]` | `fileContent(String path, org.tigris.subversion.javahl.Revision revision)`
`byte[]` | `fileContent(String path, org.tigris.subversion.javahl.Revision revision, org.tigris.subversion.javahl.Revision pegRevision)`
`String` | `getAdminDirectoryName()`
`protected SVNClientManager` | `getClientManager()`
`protected org.tigris.subversion.javahl.CommitMessage` | `getCommitMessage()`
`String` | `getConfigDirectory()`
`protected ISVNEventHandler` | `getEventListener()`
`String` | `getLastPath()`
`protected org.tigris.subversion.javahl.Notify` | `getNotify()`
`protected org.tigris.subversion.javahl.Notify2` | `getNotify2()`
`protected SVNCommitClient` | `getSVNCommitClient()`
`protected SVNCopyClient` | `getSVNCopyClient()`
`protected SVNDiffClient` | `getSVNDiffClient()`
`protected SVNLogClient` | `getSVNLogClient()`
`protected SVNStatusClient` | `getSVNStatusClient()`
`protected SVNUpdateClient` | `getSVNUpdateClient()`
`protected SVNWCClient` | `getSVNWCClient()`
`String` | `getVersionInfo(String path, String trailUrl, boolean lastChanged)`
`org.tigris.subversion.javahl.Info` | `info(String path)`
`org.tigris.subversion.javahl.Info2[]` | `info2(String pathOrUrl, org.tigris.subversion.javahl.Revision revision, org.tigris.subversion.javahl.Revision pegRevision, boolean recurse)`
`boolean` | `isAdminDirectory(String name)`
`protected static boolean` | `isURL(String pathOrUrl)`
`org.tigris.subversion.javahl.DirEntry[]` | `list(String url, org.tigris.subversion.javahl.Revision revision, boolean recurse)`
`org.tigris.subversion.javahl.DirEntry[]` | `list(String url, org.tigris.subversion.javahl.Revision revision, org.tigris.subversion.javahl.Revision pegRevision, boolean recurse)`
`void` | `lock(String[] path, String comment, boolean force)`
`org.tigris.subversion.javahl.LogMessage[]` | `logMessages(String path, org.tigris.subversion.javahl.Revision revisionStart, org.tigris.subversion.javahl.Revision revisionEnd)`
`org.tigris.subversion.javahl.LogMessage[]` | `logMessages(String path, org.tigris.subversion.javahl.Revision revisionStart, org.tigris.subversion.javahl.Revision revisionEnd, boolean stopOnCopy)`
`org.tigris.subversion.javahl.LogMessage[]` | `logMessages(String path, org.tigris.subversion.javahl.Revision revisionStart, org.tigris.subversion.javahl.Revision revisionEnd, boolean stopOnCopy, boolean discoverPath)`
`org.tigris.subversion.javahl.LogMessage[]` | `logMessages(String path, org.tigris.subversion.javahl.Revision revisionStart, org.tigris.subversion.javahl.Revision revisionEnd, boolean stopOnCopy, boolean discoverPath, long limit)`
`void` | `merge(String path, org.tigris.subversion.javahl.Revision pegRevision, org.tigris.subversion.javahl.Revision revision1, org.tigris.subversion.javahl.Revision revision2, String localPath, boolean force, boolean recurse, boolean ignoreAncestry, boolean dryRun)`
`void` | `merge(String path1, org.tigris.subversion.javahl.Revision revision1, String path2, org.tigris.subversion.javahl.Revision revision2, String localPath, boolean force, boolean recurse)`
`void` | `merge(String path1, org.tigris.subversion.javahl.Revision revision1, String path2, org.tigris.subversion.javahl.Revision revision2, String localPath, boolean force, boolean recurse, boolean ignoreAncestry, boolean dryRun)`
`void` | `mkdir(String[] path, String message)`
`void` | `move(String srcPath, String destPath, String message, boolean force)`
`void` | `move(String srcPath, String destPath, String message, org.tigris.subversion.javahl.Revision revision, boolean force)`
`static SVNClientImpl` | `newInstance()`
`static SVNClientImpl` | `newInstance(org.tigris.subversion.javahl.SVNClient owner)`
`void` | `notification(org.tigris.subversion.javahl.Notify notify)`
`void` | `notification2(org.tigris.subversion.javahl.Notify2 notify)`
`void` | `password(String password)`
`org.tigris.subversion.javahl.PropertyData[]` | `properties(String path)`
`org.tigris.subversion.javahl.PropertyData[]` | `properties(String path, org.tigris.subversion.javahl.Revision revision)`
`org.tigris.subversion.javahl.PropertyData[]` | `properties(String path, org.tigris.subversion.javahl.Revision revision, org.tigris.subversion.javahl.Revision pegRevision)`
`void` | `propertyCreate(String path, String name, byte[] value, boolean recurse)`
`void` | `propertyCreate(String path, String name, byte[] value, boolean recurse, boolean force)`
`void` | `propertyCreate(String path, String name, String value, boolean recurse)`
`void` | `propertyCreate(String path, String name, String value, boolean recurse, boolean force)`
`org.tigris.subversion.javahl.PropertyData` | `propertyGet(String path, String name)`
`org.tigris.subversion.javahl.PropertyData` | `propertyGet(String path, String name, org.tigris.subversion.javahl.Revision revision)`
`org.tigris.subversion.javahl.PropertyData` | `propertyGet(String path, String name, org.tigris.subversion.javahl.Revision revision, org.tigris.subversion.javahl.Revision pegRevision)`
`void` | `propertyRemove(String path, String name, boolean recurse)`
`void` | `propertySet(String path, String name, byte[] value, boolean recurse)`
`void` | `propertySet(String path, String name, byte[] value, boolean recurse, boolean force)`
`void` | `propertySet(String path, String name, String value, boolean recurse)`
`void` | `propertySet(String path, String name, String value, boolean recurse, boolean force)`
`void` | `relocate(String from, String to, String path, boolean recurse)`
`void` | `remove(String[] path, String message, boolean force)`
`void` | `resolved(String path, boolean recurse)`
`void` | `revert(String path, boolean recurse)`
`org.tigris.subversion.javahl.PropertyData[]` | `revProperties(String path, org.tigris.subversion.javahl.Revision rev)`
`org.tigris.subversion.javahl.PropertyData` | `revProperty(String path, String name, org.tigris.subversion.javahl.Revision rev)`
`void` | `setConfigDirectory(String configDir)`
`void` | `setPrompt(org.tigris.subversion.javahl.PromptUserPassword prompt)`
`void` | `setRevProperty(String path, String name, org.tigris.subversion.javahl.Revision rev, String value, boolean force)`
`org.tigris.subversion.javahl.Status` | `singleStatus(String path, boolean onServer)`
`org.tigris.subversion.javahl.Status[]` | `status(String path, boolean descend, boolean onServer, boolean getAll)`
`org.tigris.subversion.javahl.Status[]` | `status(String path, boolean descend, boolean onServer, boolean getAll, boolean noIgnore)`
`org.tigris.subversion.javahl.Status[]` | `status(String path, boolean descend, boolean onServer, boolean getAll, boolean noIgnore, boolean ignoreExternals)`
`void` | `streamFileContent(String path, org.tigris.subversion.javahl.Revision revision, org.tigris.subversion.javahl.Revision pegRevision, int bufferSize, OutputStream stream)`
`protected static void` | `throwException(SVNException e)`
`void` | `unlock(String[] path, boolean force)`
`long[]` | `update(String[] path, org.tigris.subversion.javahl.Revision revision, boolean recurse, boolean ignoreExternals)`
`long` | `update(String path, org.tigris.subversion.javahl.Revision revision, boolean recurse)`
`void` | `username(String username)`
`static String` | `version()`
`static int` | `versionMajor()`
`static int` | `versionMicro()`
`static int` | `versionMinor()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVNClientImpl

    protected SVNClientImpl(org.tigris.subversion.javahl.SVNClient owner)

Method Detail

### newInstance

    public static SVNClientImpl newInstance()

### newInstance

    public static SVNClientImpl newInstance(org.tigris.subversion.javahl.SVNClient owner)

### getLastPath

    public String getLastPath()

  Specified by:
    `getLastPath` in interface `org.tigris.subversion.javahl.SVNClientInterface`

### status

    public org.tigris.subversion.javahl.Status[] status(String path,
                                                        boolean descend,
                                                        boolean onServer,
                                                        boolean getAll)
                                                 throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `status` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### status

    public org.tigris.subversion.javahl.Status[] status(String path,
                                                        boolean descend,
                                                        boolean onServer,
                                                        boolean getAll,
                                                        boolean noIgnore)
                                                 throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `status` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### status

    public org.tigris.subversion.javahl.Status[] status(String path,
                                                        boolean descend,
                                                        boolean onServer,
                                                        boolean getAll,
                                                        boolean noIgnore,
                                                        boolean ignoreExternals)
                                                 throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `status` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### list

    public org.tigris.subversion.javahl.DirEntry[] list(String url,
                                                        org.tigris.subversion.javahl.Revision revision,
                                                        boolean recurse)
                                                 throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `list` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### list

    public org.tigris.subversion.javahl.DirEntry[] list(String url,
                                                        org.tigris.subversion.javahl.Revision revision,
                                                        org.tigris.subversion.javahl.Revision pegRevision,
                                                        boolean recurse)
                                                 throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `list` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### singleStatus

    public org.tigris.subversion.javahl.Status singleStatus(String path,
                                                            boolean onServer)
                                                     throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `singleStatus` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### username

    public void username(String username)

  Specified by:
    `username` in interface `org.tigris.subversion.javahl.SVNClientInterface`

### password

    public void password(String password)

  Specified by:
    `password` in interface `org.tigris.subversion.javahl.SVNClientInterface`

### setPrompt

    public void setPrompt(org.tigris.subversion.javahl.PromptUserPassword prompt)

  Specified by:
    `setPrompt` in interface `org.tigris.subversion.javahl.SVNClientInterface`

### logMessages

    public org.tigris.subversion.javahl.LogMessage[] logMessages(String path,
                                                                 org.tigris.subversion.javahl.Revision revisionStart,
                                                                 org.tigris.subversion.javahl.Revision revisionEnd)
                                                          throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `logMessages` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### logMessages

    public org.tigris.subversion.javahl.LogMessage[] logMessages(String path,
                                                                 org.tigris.subversion.javahl.Revision revisionStart,
                                                                 org.tigris.subversion.javahl.Revision revisionEnd,
                                                                 boolean stopOnCopy)
                                                          throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `logMessages` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### logMessages

    public org.tigris.subversion.javahl.LogMessage[] logMessages(String path,
                                                                 org.tigris.subversion.javahl.Revision revisionStart,
                                                                 org.tigris.subversion.javahl.Revision revisionEnd,
                                                                 boolean stopOnCopy,
                                                                 boolean discoverPath)
                                                          throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `logMessages` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### logMessages

    public org.tigris.subversion.javahl.LogMessage[] logMessages(String path,
                                                                 org.tigris.subversion.javahl.Revision revisionStart,
                                                                 org.tigris.subversion.javahl.Revision revisionEnd,
                                                                 boolean stopOnCopy,
                                                                 boolean discoverPath,
                                                                 long limit)
                                                          throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `logMessages` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### checkout

    public long checkout(String moduleName,
                         String destPath,
                         org.tigris.subversion.javahl.Revision revision,
                         org.tigris.subversion.javahl.Revision pegRevision,
                         boolean recurse,
                         boolean ignoreExternals)
                  throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `checkout` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### checkout

    public long checkout(String moduleName,
                         String destPath,
                         org.tigris.subversion.javahl.Revision revision,
                         boolean recurse)
                  throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `checkout` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### notification

    public void notification(org.tigris.subversion.javahl.Notify notify)

  Specified by:
    `notification` in interface `org.tigris.subversion.javahl.SVNClientInterface`

### notification2

    public void notification2(org.tigris.subversion.javahl.Notify2 notify)

  Specified by:
    `notification2` in interface `org.tigris.subversion.javahl.SVNClientInterface`

### commitMessageHandler

    public void commitMessageHandler(org.tigris.subversion.javahl.CommitMessage messageHandler)

  Specified by:
    `commitMessageHandler` in interface `org.tigris.subversion.javahl.SVNClientInterface`

### remove

    public void remove(String[] path,
                       String message,
                       boolean force)
                throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `remove` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### revert

    public void revert(String path,
                       boolean recurse)
                throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `revert` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### add

    public void add(String path,
                    boolean recurse)
             throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `add` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### add

    public void add(String path,
                    boolean recurse,
                    boolean force)
             throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `add` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### update

    public long update(String path,
                       org.tigris.subversion.javahl.Revision revision,
                       boolean recurse)
                throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `update` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### update

    public long[] update(String[] path,
                         org.tigris.subversion.javahl.Revision revision,
                         boolean recurse,
                         boolean ignoreExternals)
                  throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `update` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### commit

    public long commit(String[] path,
                       String message,
                       boolean recurse)
                throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `commit` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### commit

    public long commit(String[] path,
                       String message,
                       boolean recurse,
                       boolean noUnlock)
                throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `commit` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### commit

    public long[] commit(String[] path,
                         String message,
                         boolean recurse,
                         boolean noUnlock,
                         boolean atomicCommit)
                  throws org.tigris.subversion.javahl.ClientException

  Throws:
    `org.tigris.subversion.javahl.ClientException`

### copy

    public void copy(String srcPath,
                     String destPath,
                     String message,
                     org.tigris.subversion.javahl.Revision revision)
              throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `copy` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### move

    public void move(String srcPath,
                     String destPath,
                     String message,
                     org.tigris.subversion.javahl.Revision revision,
                     boolean force)
              throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `move` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### move

    public void move(String srcPath,
                     String destPath,
                     String message,
                     boolean force)
              throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `move` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### mkdir

    public void mkdir(String[] path,
                      String message)
               throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `mkdir` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### cleanup

    public void cleanup(String path)
                 throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `cleanup` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### resolved

    public void resolved(String path,
                         boolean recurse)
                  throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `resolved` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### doExport

    public long doExport(String srcPath,
                         String destPath,
                         org.tigris.subversion.javahl.Revision revision,
                         boolean force)
                  throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `doExport` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### doExport

    public long doExport(String srcPath,
                         String destPath,
                         org.tigris.subversion.javahl.Revision revision,
                         org.tigris.subversion.javahl.Revision pegRevision,
                         boolean force,
                         boolean ignoreExternals,
                         boolean recurse,
                         String nativeEOL)
                  throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `doExport` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### doSwitch

    public long doSwitch(String path,
                         String url,
                         org.tigris.subversion.javahl.Revision revision,
                         boolean recurse)
                  throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `doSwitch` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### doImport

    public void doImport(String path,
                         String url,
                         String message,
                         boolean recurse)
                  throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `doImport` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### merge

    public void merge(String path1,
                      org.tigris.subversion.javahl.Revision revision1,
                      String path2,
                      org.tigris.subversion.javahl.Revision revision2,
                      String localPath,
                      boolean force,
                      boolean recurse)
               throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `merge` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### merge

    public void merge(String path1,
                      org.tigris.subversion.javahl.Revision revision1,
                      String path2,
                      org.tigris.subversion.javahl.Revision revision2,
                      String localPath,
                      boolean force,
                      boolean recurse,
                      boolean ignoreAncestry,
                      boolean dryRun)
               throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `merge` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### merge

    public void merge(String path,
                      org.tigris.subversion.javahl.Revision pegRevision,
                      org.tigris.subversion.javahl.Revision revision1,
                      org.tigris.subversion.javahl.Revision revision2,
                      String localPath,
                      boolean force,
                      boolean recurse,
                      boolean ignoreAncestry,
                      boolean dryRun)
               throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `merge` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### diff

    public void diff(String target1,
                     org.tigris.subversion.javahl.Revision revision1,
                     String target2,
                     org.tigris.subversion.javahl.Revision revision2,
                     String outFileName,
                     boolean recurse)
              throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `diff` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### diff

    public void diff(String target1,
                     org.tigris.subversion.javahl.Revision revision1,
                     String target2,
                     org.tigris.subversion.javahl.Revision revision2,
                     String outFileName,
                     boolean recurse,
                     boolean ignoreAncestry,
                     boolean noDiffDeleted,
                     boolean force)
              throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `diff` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### diff

    public void diff(String target,
                     org.tigris.subversion.javahl.Revision pegRevision,
                     org.tigris.subversion.javahl.Revision startRevision,
                     org.tigris.subversion.javahl.Revision endRevision,
                     String outFileName,
                     boolean recurse,
                     boolean ignoreAncestry,
                     boolean noDiffDeleted,
                     boolean force)
              throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `diff` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### properties

    public org.tigris.subversion.javahl.PropertyData[] properties(String path)
                                                           throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `properties` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### properties

    public org.tigris.subversion.javahl.PropertyData[] properties(String path,
                                                                  org.tigris.subversion.javahl.Revision revision)
                                                           throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `properties` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### properties

    public org.tigris.subversion.javahl.PropertyData[] properties(String path,
                                                                  org.tigris.subversion.javahl.Revision revision,
                                                                  org.tigris.subversion.javahl.Revision pegRevision)
                                                           throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `properties` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### propertySet

    public void propertySet(String path,
                            String name,
                            byte[] value,
                            boolean recurse)
                     throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `propertySet` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### propertySet

    public void propertySet(String path,
                            String name,
                            byte[] value,
                            boolean recurse,
                            boolean force)
                     throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `propertySet` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### propertySet

    public void propertySet(String path,
                            String name,
                            String value,
                            boolean recurse)
                     throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `propertySet` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### propertySet

    public void propertySet(String path,
                            String name,
                            String value,
                            boolean recurse,
                            boolean force)
                     throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `propertySet` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### propertyRemove

    public void propertyRemove(String path,
                               String name,
                               boolean recurse)
                        throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `propertyRemove` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### propertyCreate

    public void propertyCreate(String path,
                               String name,
                               String value,
                               boolean recurse)
                        throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `propertyCreate` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### propertyCreate

    public void propertyCreate(String path,
                               String name,
                               String value,
                               boolean recurse,
                               boolean force)
                        throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `propertyCreate` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### propertyCreate

    public void propertyCreate(String path,
                               String name,
                               byte[] value,
                               boolean recurse)
                        throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `propertyCreate` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### propertyCreate

    public void propertyCreate(String path,
                               String name,
                               byte[] value,
                               boolean recurse,
                               boolean force)
                        throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `propertyCreate` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### revProperty

    public org.tigris.subversion.javahl.PropertyData revProperty(String path,
                                                                 String name,
                                                                 org.tigris.subversion.javahl.Revision rev)
                                                          throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `revProperty` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### revProperties

    public org.tigris.subversion.javahl.PropertyData[] revProperties(String path,
                                                                     org.tigris.subversion.javahl.Revision rev)
                                                              throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `revProperties` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### setRevProperty

    public void setRevProperty(String path,
                               String name,
                               org.tigris.subversion.javahl.Revision rev,
                               String value,
                               boolean force)
                        throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `setRevProperty` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### propertyGet

    public org.tigris.subversion.javahl.PropertyData propertyGet(String path,
                                                                 String name)
                                                          throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `propertyGet` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### propertyGet

    public org.tigris.subversion.javahl.PropertyData propertyGet(String path,
                                                                 String name,
                                                                 org.tigris.subversion.javahl.Revision revision)
                                                          throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `propertyGet` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### propertyGet

    public org.tigris.subversion.javahl.PropertyData propertyGet(String path,
                                                                 String name,
                                                                 org.tigris.subversion.javahl.Revision revision,
                                                                 org.tigris.subversion.javahl.Revision pegRevision)
                                                          throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `propertyGet` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### fileContent

    public byte[] fileContent(String path,
                              org.tigris.subversion.javahl.Revision revision)
                       throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `fileContent` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### fileContent

    public byte[] fileContent(String path,
                              org.tigris.subversion.javahl.Revision revision,
                              org.tigris.subversion.javahl.Revision pegRevision)
                       throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `fileContent` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### streamFileContent

    public void streamFileContent(String path,
                                  org.tigris.subversion.javahl.Revision revision,
                                  org.tigris.subversion.javahl.Revision pegRevision,
                                  int bufferSize,
                                  OutputStream stream)
                           throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `streamFileContent` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### relocate

    public void relocate(String from,
                         String to,
                         String path,
                         boolean recurse)
                  throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `relocate` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### blame

    public byte[] blame(String path,
                        org.tigris.subversion.javahl.Revision revisionStart,
                        org.tigris.subversion.javahl.Revision revisionEnd)
                 throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `blame` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### blame

    public void blame(String path,
                      org.tigris.subversion.javahl.Revision revisionStart,
                      org.tigris.subversion.javahl.Revision revisionEnd,
                      org.tigris.subversion.javahl.BlameCallback callback)
               throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `blame` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### blame

    public void blame(String path,
                      org.tigris.subversion.javahl.Revision pegRevision,
                      org.tigris.subversion.javahl.Revision revisionStart,
                      org.tigris.subversion.javahl.Revision revisionEnd,
                      org.tigris.subversion.javahl.BlameCallback callback)
               throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `blame` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.tigris.subversion.javahl.SVNClientInterface`

### setConfigDirectory

    public void setConfigDirectory(String configDir)
                            throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `setConfigDirectory` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### getConfigDirectory

    public String getConfigDirectory()
                              throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `getConfigDirectory` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### cancelOperation

    public void cancelOperation()
                         throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `cancelOperation` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### info

    public org.tigris.subversion.javahl.Info info(String path)
                                           throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `info` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### lock

    public void lock(String[] path,
                     String comment,
                     boolean force)
              throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `lock` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### unlock

    public void unlock(String[] path,
                       boolean force)
                throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `unlock` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### info2

    public org.tigris.subversion.javahl.Info2[] info2(String pathOrUrl,
                                                      org.tigris.subversion.javahl.Revision revision,
                                                      org.tigris.subversion.javahl.Revision pegRevision,
                                                      boolean recurse)
                                               throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `info2` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### getVersionInfo

    public String getVersionInfo(String path,
                                 String trailUrl,
                                 boolean lastChanged)
                          throws org.tigris.subversion.javahl.ClientException

  Specified by:
    `getVersionInfo` in interface `org.tigris.subversion.javahl.SVNClientInterface`
  Throws:
    `org.tigris.subversion.javahl.ClientException`

### version

    public static String version()

### versionMajor

    public static int versionMajor()

### versionMinor

    public static int versionMinor()

### versionMicro

    public static int versionMicro()

### getNotify

    protected org.tigris.subversion.javahl.Notify getNotify()

### getNotify2

    protected org.tigris.subversion.javahl.Notify2 getNotify2()

### getEventListener

    protected ISVNEventHandler getEventListener()

### getClientManager

    protected SVNClientManager getClientManager()

### getSVNCommitClient

    protected SVNCommitClient getSVNCommitClient()

### getSVNUpdateClient

    protected SVNUpdateClient getSVNUpdateClient()

### getSVNStatusClient

    protected SVNStatusClient getSVNStatusClient()

### getSVNWCClient

    protected SVNWCClient getSVNWCClient()

### getSVNDiffClient

    protected SVNDiffClient getSVNDiffClient()

### getSVNCopyClient

    protected SVNCopyClient getSVNCopyClient()

### getSVNLogClient

    protected SVNLogClient getSVNLogClient()

### getCommitMessage

    protected org.tigris.subversion.javahl.CommitMessage getCommitMessage()

### throwException

    protected static void throwException(SVNException e)
                                  throws org.tigris.subversion.javahl.ClientException

  Throws:
    `org.tigris.subversion.javahl.ClientException`

### isURL

    protected static boolean isURL(String pathOrUrl)

### getAdminDirectoryName

    public String getAdminDirectoryName()

  Specified by:
    `getAdminDirectoryName` in interface `org.tigris.subversion.javahl.SVNClientInterface`

### isAdminDirectory

    public boolean isAdminDirectory(String name)

  Specified by:
    `isAdminDirectory` in interface `org.tigris.subversion.javahl.SVNClientInterface`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 TMate Software Ltd. All Rights Reserved.